1.7 crashing on startup (10.7.5)

Problems getting SL up and running on a Mac? Post here.

Moderator: jesse

Post Reply
timmacintosh
Posts: 1
Joined: Tue Oct 08, 2013 3:48 pm

1.7 crashing on startup (10.7.5)

Post by timmacintosh »

Like it says.... Sooperlooper unexpectedly quits right away upon launching the app or double clicking the insert AU from mainstage.

dodecasonico
Posts: 1
Joined: Fri Oct 25, 2013 1:26 pm

Re: 1.7 crashing on startup (10.7.5)

Post by dodecasonico »

Same problem here... :(

f0m3
Posts: 20
Joined: Tue Nov 03, 2009 3:31 am

Re: 1.7 crashing on startup (10.7.5)

Post by f0m3 »

here too . Osx 1.7.5

in terminal:

Code: Select all

redapple:MacOS music$ ./sooperlooper
Illegal instruction: 4
redapple:MacOS music$ ./slgui
Illegal instruction: 4
 

f0m3
Posts: 20
Joined: Tue Nov 03, 2009 3:31 am

Re: 1.7 crashing on startup (10.7.5)

Post by f0m3 »

I read something about compiling problems when did on a OSX 10.9 machine. I tried to compile myself but had some error i cant work out:

Code: Select all

/Applications/Xcode.app/Contents/Developer/usr/bin/make  all-recursive
Making all in libs
Making all in pbd
/Applications/Xcode.app/Contents/Developer/usr/bin/make  all-recursive
Making all in pbd
make[5]: Nothing to be done for `all'.
g++ -DHAVE_CONFIG_H -I.     -D_REENTRANT -Os -fomit-frame-pointer -mmmx -msse -mfpmath=sse -pipe -Wall -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -I/Users/mohr/Downloads/sooperlooper-1.7.0/libs/pbd -I/Users/mohr/Downloads/sooperlooper-1.7.0/libs/midi++ -I/usr/include/libxml2  -I/usr/local/lib/sigc++-1.2/include -I/usr/local/include/sigc++-1.2  -MT pathscanner.o -MD -MP -MF .deps/pathscanner.Tpo -c -o pathscanner.o pathscanner.cc
clang: warning: argument unused during compilation: '-mfpmath=sse'
pathscanner.cc:172:2: error: use of undeclared identifier 'vector_delete'
        vector_delete (res);
        ^
pathscanner.cc:199:2: error: use of undeclared identifier 'vector_delete'
        vector_delete (res);
        ^
2 errors generated.


Could somebody pls help me on that or compile SL 1.7 with "-mmacosx-version-min=10.7" ???

Post Reply